Subject: Re: No color when using ls
From: Chris Wilson <[email-masked]>
To: [email-masked]
Date: Thu, 06 Jan 2005 10:14:23 -0500

Might be how you're calling RXVT. :-/

Here is the command line sequence I use (via a shorcut on my Desktop, of 
course, hehe) :-)

rxvt.exe -title Shell -e 'c:\cygwin\bin\bash.exe' --login -i

I have the following User variable defined from System 
Properties/Advanced/Environment Variables:

BASH_ENV = /home/cwilson/.bash_profile

---------------------

My .bash_profile looks like this:

# Start of .bash_profile

# Source global definitions
if [ -f /etc/bashrc ]; then
         . /etc/bashrc
fi

# Get the user-defined aliases and functions
if [ -f ~/.bashrc ]; then
         . ~/.bashrc
fi
# End of .bash_profile

---------------------

My .bashrc looks like this:

# Start of .bashrc

# Lets set the path first
PATH="/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/cwilson/bin:/sbin:/usr/sbin:/mnt/c/WINNT/system32:/mnt/c/WINNT:/mnt/c/WINNT/System32/Wbem"

export PATH

# User specific aliases and functions
alias cp='cp -i'
alias df='df -h'
alias du='du -h'
alias grep='grep --color'
alias ls='ls -h --color'
alias mv='mv -i'
alias pico='nano -w'
alias rm='rm -i'
alias tar2='tar --use-compress-program=bzip2'
alias who='who -T -H -u'
alias whois='whois -h whois.networksolutions.com'
alias ps='ps -W -a -f ux'
alias sftp2='sftp -oPort=2200'
alias ssh2='ssh -p2200'

# Setup color variables
BLACK="\[\033[0;30m\]"
DGRAY="\[\033[1;30m\]"
RED="\[\033[0;31m\]"
LRED="\[\033[1;31m\]"
GREEN="\[\033[0;32m\]"
LGREEN="\[\033[1;32m\]"
BROWN="\[\033[0;33m\]"
YELLOW="\[\033[1;33m\]"
BLUE="\[\033[0;34m\]"
LBLUE="\[\033[1;34m\]"
PURPLE="\[\033[0;35m\]"
LPURPLE="\[\033[1;35m\]"
CYAN="\[\033[0;36m\]"
LCYAN="\[\033[1;36m\]"
LGRAY="\[\033[0;37m\]"
WHITE="\[\033[1;37m\]"
NEUTRAL="\[\033[0m\]"

export BLACK DGRAY RED LRED GREEN LGREEN BROWN YELLOW BLUE
export LBLUE PURPLE LPURPLE CYAN LCYAN LGRAY WHITE NEUTRAL

# More information on colors:
# 1st Digit			2nd Digit		3rd Digit
# 0 - Reset			30 - Black		40 - Black
# 1 - Bright			31 - Red		41 - Red
# 2 - Dim			32 - Green		42 - Green
# 3 - Underline			33 - Yellow		43 - Yellow
# 4 - Unknown			34 - Blue		44 - Blue
# 5 - Blink			35 - Magenta		45 - Magenta
# 6 - Unknown			36 - Cyan		46 - Cyan
# 7 - Reverse			37 - White		47 - White
# 8 - Hidden

# User specific environment and startup programs
BASH_ENV="$HOME/.bashrc"
REMOTE_HOST=`set | grep SSH_CLIENT | cut -f2 -d"'" | cut -f1 -d" "`

# If connecting, via SSH, from home machine:
# --- IP address removed for privacy ---
if [ "$REMOTE_HOST" == "xxx.xxx.xxx.xxx" ]
then
	DISPLAY="$REMOTE_HOST:10"
# Otherwise, just set to the standard :0
else
	DISPLAY=":0"
fi

DOMAINNAME="dawning.com"
FULLHOSTNAME="$HOSTNAME.$DOMAINNAME"
HISTIGNORE="[   ]*:&:bg:fg"
HOSTNAME=`/bin/hostname`
INPUTRC="$HOME/.inputrc"
SHELL="/bin/bash"
TERM="vt100"
USERNAME="$USER"
XAUTHORITY="$HOME/.Xauthority"

export BASH_ENV REMOTE_HOST DISPLAY DOMAINNAME FULLHOSTNAME HISTIGNORE
export HOSTNAME INPUTRC SHELL TERM USERNAME XAUTHORITY

# Fancy prompt:
# (should all be on one line, email client might word-wrap)
PS1="$LBLUE[$LCYAN\u$LBLUE@$LCYAN$FULLHOSTNAME 
$LRED\W$NEUTRAL$LBLUE]$NEUTRAL$ "

export PS1

for i in /etc/profile.d/*.sh ; do
   if [ -f $i ]; then
     . $i
   fi
done
# End of .bashrc

---------------------

Please pardon the complexity of my .bashrc :-)  I come from a Linux 
world and tend to use Cygwin to the max, lol. :-)
-
Chris Wilson

Pico Geyer wrote:
> Hi all.
> 
> I know this has probably been discussed before but I can't get it to
> work on my system. When using ls, the output is not in color. So I read
> that the following line should be added to .bashrc
> 
> alias ls='ls --color=tty'
> 
> I have done this, but it does not work.
> I guess my .bashrc file is not being read on startup, but I don't know
> how to fix it.
> .bashrc is located in my home directory. ( I've set my %HOME%
> environment variable to c:\home\myhomedir)
> I then tried to move .bashrc to / ( which is c:\cygwin ,as far as I can
> tell) but this did not help.
> 
> I'm using RXVT to display my terminal.
> Any advice on what I should to fix this would be appreciated. 
> Thanks

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/